Last modified: 2012-04-19 21:43:25 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 20598 - Navigable TOC : Level 2 & 3 sections have same indentation
Navigable TOC : Level 2 & 3 sections have same indentation
Status: CLOSED FIXED
Product: MediaWiki extensions
Classification: Unclassified
UsabilityInitiative (Other open bugs)
unspecified
PC Windows Vista
: Normal minor (vote)
: ---
Assigned To: Trevor Parscal
http://usability.wikimedia.org/wiki/R...
:
Depends on:
Blocks: 36111
  Show dependency treegraph
 
Reported: 2009-09-11 18:21 UTC by Calcey QA
Modified: 2012-04-19 21:43 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Table of content with inappropriate indentation for sections with different levels (27.35 KB, image/png)
2009-09-11 18:24 UTC, Calcey QA
Details

Description Calcey QA 2009-09-11 18:21:29 UTC
Reporting against Babaco Release. (Hosted on http://prototype.wikimedia.org)


Steps to Reproduce ::
1) Start creating a new page 
2) Add sections with different levels as shown in attachment 
3 [details]) Check the table of content 

<<Indentation for level 2 and level 3 have same indentation >>

Expected Outcome ::
Level 2 shall have lesser indentation than level 3



Test Environment (Client) ::
Browser (User-Agent):  	Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.1.2) Gecko/20090729 Firefox/3.5.2
Javascript: 	Enabled
Cookies Enabled: 	Enabled
Java Enabled: 	Enabled
CPU class/type: 	OS/CPU Windows NT 6.0
Screen Width x Height: 	1280 x 800
Screen Color Depth: 	32
Comment 1 Calcey QA 2009-09-11 18:24:03 UTC
Created attachment 6540 [details]
Table of content with inappropriate indentation for sections with different levels
Comment 2 Roan Kattouw 2009-09-11 19:28:54 UTC
Fixed in r56205.
Comment 3 Calcey QA 2009-09-21 10:05:56 UTC
Still I'm facing same issue for the following wiki texts.

Text 1:

==Heading text==
===Heading text===
====Heading text====
===Heading text===
=====Heading text=====
==Heading text==
=====Heading text=====


Text 2:
==Heading text==
===Heading text===
====Heading text====
=====Heading text=====
====Heading text====
=====Heading text=====
==Heading text==
====Heading text====
Comment 4 Roan Kattouw 2009-09-21 12:01:42 UTC
Changing back to fixed. With the texts cited in comment #3, different headers have the same indentation in the NTOC, but the regular table of contents behaves the same way, so this is expected behavior. Generally, this happens when a header is 'skipped' (e.g. with a level-4 header directly below a level-2 header).
Comment 5 Calcey QA 2009-09-29 05:01:51 UTC
Added keyword babaco to the bug

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links